# template: foreman_plugin
%global gem_name foreman_resource_quota
%global plugin_name resource_quota
%global foreman_min_version 3.13

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?foremandist}%{?dist}
Summary: Foreman Plug-in for resource quota
License: GPLv3
URL: https://github.com/ATIX-AG/foreman_resource_quota
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: foreman >= %{foreman_min_version}
BuildRequires: foreman-assets >= %{foreman_min_version}
BuildRequires: foreman-plugin >= %{foreman_min_version}
Requires: ruby
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildRequires: (rubygem(foreman-tasks) >= 10.0 with rubygem(foreman-tasks) < 12)
BuildArch: noarch
Provides: foreman-plugin-%{plugin_name} = %{version}
# end specfile generated dependencies

# start package.json devDependencies BuildRequires
BuildRequires: (npm(@babel/core) >= 7.23.0 with npm(@babel/core) < 8.0.0)
BuildRequires: npm(@theforeman/builder) >= 15.0.0
# end package.json devDependencies BuildRequires

# start package.json dependencies BuildRequires
# end package.json dependencies BuildRequires

%description
Foreman Plug-in to manage resource usage among users.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%foreman_bundlerd_file
%foreman_precompile_plugin -s

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%{gem_instdir}/locale
%exclude %{gem_instdir}/package.json
%exclude %{gem_instdir}/webpack
%exclude %{gem_cache}
%{gem_spec}
%{foreman_bundlerd_plugin}
%{foreman_assets_plugin}
%{foreman_assets_foreman}
%{foreman_webpack_plugin}
%{foreman_webpack_foreman}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%posttrans
%{foreman_plugin_log}

%changelog
* Thu Mar 27 2025 Foreman Packaging Automation <packaging@theforeman.org> - 0.5.0-1
- Update to 0.5.0

* Thu Nov 28 2024 Nadja Heitmann <nadjah@atix.de> - 0.3.1-1
- Update to 0.3.1

* Thu May 09 2024 Bastian Schmidt <schmidt@atix.de> 0.2.2-1
- Add rubygem-foreman_resource_quota generated by gem2rpm using the foreman_plugin template

